Subject: bug#49963: 28.0.50; isearch failing in Dired after rectangle-mark-mode and query-replace

From: Stefan Monnier <[email-masked]>
Date: Wed, 11 Aug 2021 01:32:54 -0400

>   > This is a misunderstanding of what bothers me.  The problem is
>   > discoverability: add-function is not easily discoverable, if it is
>   > used on an internal function.  IOW, the documentation of C-s doesn't
>   > tell you that its operation could be affected by that "hook".  By
>   > contrast, if we use some other mechanism, like call a function via a
>   > variable or call a hook, and if we document these in the doc string of
>   > C-s, that problem will have disappeared, and finding causes of
>   > problems such as this one would be easier.
>
> For this reason, we had the rule that packages or libraries should not
> define any advice.

Again, this bug report is not about the use of an advice.
There is no advice used in this code.

        Stefan